# getAchievementDescription | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getAchievementDescription

- getAchievementDescription(localizationKey: string): string

  Get the description of an achievement from the localization file with all the necessary variables filled in

  #### Parameters

  - localizationKey: string

    The localization key of the achievement

  #### Returns string

  The description of the achievement

  - Defined in src/system/achv.ts:210